Fórum Archlinux cz

Arch Linux => Pacman => Téma založeno: novas43 23. Říjen 2019, 05:27:50 odpoledne

Název: Nefunkční Pamac
Přispěvatel: novas43 23. Říjen 2019, 05:27:50 odpoledne
Ahoj,
po dnešní aktualizaci balíčku Pacman 5.2.0-2 mi nejde spustit Pamac.Zkoušel jsem Pamac spustit i terminálu,ale vypíše toto

Kód: [Vybrat]
pamac: error while loading shared libraries: libalpm.so.11: cannot open shared object file: No such file or directory
Nebude náhodou někdo vědět co s tím?
Moc děkuji za informace
Název: Re:Nefunkční Pamac
Přispěvatel: lombardo1981 23. Říjen 2019, 05:37:32 odpoledne
Vitaj.
Kód: [Vybrat]
sudo pacman -R package-query pamac-aur
pikaur -S package-query pamac-aur

Alebo:
Kód: [Vybrat]
sudo pacman -R package-query pamac-aur
pikaur -S package-query
pikaur -S pamac-aur

Použi svoj AUR pomocník.
Název: Re:Nefunkční Pamac
Přispěvatel: novas43 23. Říjen 2019, 08:26:22 odpoledne
Vitaj.
Kód: [Vybrat]
sudo pacman -R package-query pamac-aur
pikaur -S package-query pamac-aur

Alebo:
Kód: [Vybrat]
sudo pacman -R package-query pamac-aur
pikaur -S package-query
pikaur -S pamac-aur

Použi svoj AUR pomocník.

Ahoj,moc děkuji za odpověď.
Já jsem se přes Timeshift vrátil před aktualizace.On dělá asi problém Yay

Kód: [Vybrat]
chyba: selhala příprava transakce (nelze vyřešit závislosti)
:: nainstalování pacman (5.2.0-2) poruší závislost 'pacman<=5.1.3' vyžadovanou balíčkem yay

Když yay odinstaluji,tak systém jde aktualizovat,ale přestane jít Pamac.A pří zadání příkazu
Kód: [Vybrat]
[sudo pacman -R package-query pamac-aur/code]
se ukaže v terminálu,ža balíček neexistuje.
Arch jsem instaloval přes Zen Installer a yay a Pamac jsem povolil při instalaci,tak jsou naistalovaný z jejich repozitáře revenge_repo,tak jestli to i tim není,ale zatím vše funguvalo v pohodě.
Název: Re:Nefunkční Pamac
Přispěvatel: lombardo1981 23. Říjen 2019, 08:47:29 odpoledne
Ak smiem poprosiť, tak nabudúce uviesť kompletné info hneď na začiatku. Pamac je v Archu v AUR ako pamac-aur.
K tvojmu problém s yay. Musíš počkať na aktualizáciu yay. Alebo si nainštaluj iného AUR pomocníka. Ja používam pikaur (https://arch-linux.cz/pikaur-pomocnik-z-aur/).A k Pamacu, zisti si, ako sa presne volá balíček.Keď bude yay aktuálny (alebo nainštalovaný ďalší pomocník) a zistený názov balíčku, postup zopakuj.

Napríklad:
Kód: [Vybrat]
yay -Ss pamac
Název: Re:Nefunkční Pamac
Přispěvatel: novas43 23. Říjen 2019, 09:24:33 odpoledne
JJ mohlo mě to hned napadnout,jsem napsat vše.Přště už to bude lepší  :)
Název: Re:Nefunkční Pamac
Přispěvatel: novas43 24. Říjen 2019, 05:38:30 odpoledne
Tak asi budu muset chvilku vydržet,než opraví toho pomocníka yay.
Abych aktualizoval,musím odinstalovat YAY a pak přestane jít Pamac.Když zadám příkazy co jsi psala,tak se pamac taky nespustí.Ale i tak moc děkuji za pomoc.Dám vědět,jestli to už šlape.Zkoušel jsem i naistalovat Octopi,ale je to to samé.
Název: Re:Nefunkční Pamac
Přispěvatel: novas43 27. Říjen 2019, 12:03:39 dopoledne
Tak vyřešeno,pomohlo odinstalovat pamac-aur.Potom už jen přidat
Kód: [Vybrat]
yay -S pamac-aur-gitA už vše funguje.Moc díky ještě jednou za rady
Název: Re:Nefunkční Pamac
Přispěvatel: lombardo1981 27. Říjen 2019, 10:57:20 dopoledne
Pohoda. A super, že si si to vyriešil po svojom. :D